CustomFeatureEvent Class

class NXOpen.Features.CustomFeatureEvent

Bases: NXOpen.TaggedObject

Represents the event data for custom feature.

This class cannot be created

New in version NX11.0.0.

Properties

Property Description
ErrorCode Returns or sets the error occured during the event
Tag Returns the Tag for this object.

Methods

Method Description
GetConstructionFeatures The custom feature get construction features
GetCustomFeature Get the custom feature of the event
GetNXObject Returns the Solid body
GetOutputFeatures The output features created in post update event
GetParasolidId Get the Parasolid tag of Solid body

Property Detail

ErrorCode

CustomFeatureEvent.ErrorCode

Returns or sets the error occured during the event

-------------------------------------

Getter Method

Signature ErrorCode

Returns:The error value during the callback
Return type:int

New in version NX11.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

-------------------------------------

Setter Method

Signature ErrorCode

Parameters:errorCode (int) – The error value during the callback

New in version NX11.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

Method Detail

GetConstructionFeatures

CustomFeatureEvent.GetConstructionFeatures

The custom feature get construction features

Signature GetConstructionFeatures()

Returns:Output array of NXOpen Features
Return type:list of NXOpen.Features.ConstructionFeatureData

New in version NX11.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

GetCustomFeature

CustomFeatureEvent.GetCustomFeature

Get the custom feature of the event

Signature GetCustomFeature()

Returns:The owning Custom Feature of feature that caused the event to fire
Return type:NXOpen.Features.CustomFeature

New in version NX11.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

GetNXObject

CustomFeatureEvent.GetNXObject

Returns the Solid body

Signature GetNXObject(parasolidId)

Parameters:parasolidId (int) –
Returns:
Return type:NXOpen.DisplayableObject

New in version NX11.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

GetOutputFeatures

CustomFeatureEvent.GetOutputFeatures

The output features created in post update event

Signature GetOutputFeatures()

Returns:Output array of NXOpen Features
Return type:list of NXOpen.Features.OutputFeatureData

New in version NX11.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

GetParasolidId

CustomFeatureEvent.GetParasolidId

Get the Parasolid tag of Solid body

Signature GetParasolidId(solidTag)

Parameters:solidTag (NXOpen.DisplayableObject) –
Returns:
Return type:int

New in version NX11.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)